curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/virtual_mcp_servers/{virtual_mcp_server_id}/tool_bindings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mcpTools": [
{
"appId": "<string>",
"connectorId": "<string>",
"id": "<string>"
}
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/virtual_mcp_servers/{virtual_mcp_server_id}/tool_bindings"
payload = { "mcpTools": [
{
"appId": "<string>",
"connectorId": "<string>",
"id": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({mcpTools: [{appId: '<string>', connectorId: '<string>', id: '<string>'}]})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/virtual_mcp_servers/{virtual_mcp_server_id}/tool_bindings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bindings": [
{
"createdAt": "2023-11-07T05:31:56Z",
"mcpTool": {
"appId": "<string>",
"connectorId": "<string>",
"id": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z",
"virtualMcpServerId": "<string>"
}
]
}Create Bindings
CreateBindings assigns up to 100 enabled, visible tools to an Assigned-tools Virtual MCP Server. Existing assignments are unchanged and previously deleted assignments are restored.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
Immutable identifier of the Virtual MCP Server.
Body
VirtualMCPToolBindingServiceCreateBindingsRequest assigns individual tools to one Virtual MCP Server.
Complete MCP tool references to assign. Duplicate tuples are ignored.
Show child attributes
Show child attributes
Response
VirtualMCPToolBindingServiceCreateBindingsResponse contains the resulting assignments.
VirtualMCPToolBindingServiceCreateBindingsResponse contains the resulting assignments.
Created, existing, or restored individual tool assignments.
Show child attributes
Show child attributes
Was this page helpful?